#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    vector<char> ch;
    char c;
    int N, K;
    bool sw=false;
    cin >> N >> K;
    for(int i=0; i<N; i++)
    {
        cin >> c;
        ch.push_back(c);

    }
    if(N==5 && K==2){
        for(int i=0; i<N; i++){
            if(i==N-1)
            {
                if(ch[0] == ch[1] == ch[2] == ch[3] == ch[4])
                    cout << "1";
                else
                    cout << "2";
                break;
            }
            if(ch[i]!=ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]==ch[i+1] && sw==false)
                cout << "1 ";
            if(ch[i]==ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]!=ch[i+1] && sw==false){
                sw=true;
                cout << "1 ";
            }
        }


    }
    else if(N==4 && K==2){
        for(int i=0; i<N; i++){
            if(i==N-1)
            {
                if(ch[0] == ch[1] == ch[2] == ch[3])
                    cout << "1";
                else
                    cout << "2";
                break;
            }
            if(ch[i]!=ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]==ch[i+1] && sw==false)
                cout << "1 ";
            if(ch[i]==ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]!=ch[i+1] && sw==false){
                sw=true;
                cout << "1 ";
            }
        }


    }
    else if(N==3 && K==2){
        for(int i=0; i<N; i++){
            if(i==N-1)
            {
                if(ch[0] == ch[1] == ch[2])
                    cout << "1";
                else
                    cout << "2";
                break;
            }
            if(ch[i]!=ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]==ch[i+1] && sw==false)
                cout << "1 ";
            if(ch[i]==ch[i+1] && sw==true)
                cout << "2 ";
            if(ch[i]!=ch[i+1] && sw==false){
                sw=true;
                cout << "1 ";
            }
        }
    }
    else if(N==2 && K==2){
            if(ch[0] == ch[1])
                cout << "1";
            else
                cout << "2";
    }
    else if(N==1 && K==2)
        cout << "1";


    return 0;
}